package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 大厅情况展示 （1.展示，0.不展示）枚举类
*
* @author zxfei
*/
public enum DatashowEnum {
    展示(1, "展示"),
    不展示(0, "不展示");
    private Integer value;
    private String desc;

    DatashowEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static DatashowEnum getByValue(Integer value) {
        for (DatashowEnum datashowEnum : DatashowEnum.values()) {
            if (datashowEnum.getValue() == value) {
                return datashowEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (DatashowEnum item : DatashowEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}